Page MenuHomePhabricator

[Tracking/Epic] Problems with RecentChanges advanced mobile contribution experience
Open, NormalPublic

Description

NOTE: none of the things listed here are critical issues

Acceptance criteria

  • All subtasks are closed

Fixed (please confirm) ?

Issue 1

Namespaces and Tags buttons are taking up full lines
Previously the Namespaces and Tags were sitting side-by-side, but currently they are each taking up their own line

currentdesired

This appears to be fixed on the beta cluster:

  • Confirmed by Jon Robson
  • Confirmed by Alex

Issue 2

  • Filter menu list items are top aligned

Just looks off

@Jdlrobson: I cannot replicate this.. this is what I see:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 30 2019, 5:24 PM
alexhollender triaged this task as High priority.Jul 30 2019, 5:27 PM

Change 527132 had a related patch set uploaded (by Jdrewniak; owner: Jdrewniak):
[mediawiki/core@master] rcfilters mobile cleanup

https://gerrit.wikimedia.org/r/527132

alexhollender updated the task description. (Show Details)
alexhollender added a subscriber: Jdrewniak.

This is ready for you to take a look at @Jdrewniak. I think we should go for items 1, 2, and 3 in the bug section, and items 1, 2, and 3 in the refinements section.

Reviewed this and it looks good! Currently, not considering it a blocker for deployment

Change 528201 had a related patch set uploaded (by Jdrewniak; owner: Jdrewniak):
[mediawiki/core@master] move rcfilters scroll logic to better support mobile mode

https://gerrit.wikimedia.org/r/528201

So far:
Bugs:
1 Page should not scroll horizontally
3 When tapping Hide the entire filter box should be hidden.
Are taken care of in this patch:
https://gerrit.wikimedia.org/r/527132

2 When tapping on gray Active filters area (to open filters menu) page should scroll down to reveal filters menu
is taken care of in this patch
https://gerrit.wikimedia.org/r/528201

4 Save a filter behaviour - this needs some more investigation so I'll look into it after some the lower hanging fruit in the refinements.

Opportunities for refinement
1, 3, 5 can probably go in one patch since the changes can be contained in our changeslist override styles.
2 is a little more involved but doable.
4 and 6 can be quite fiddly so we might not get to these.

Change 527132 merged by jenkins-bot:
[mediawiki/core@master] rcfilters mobile cleanup

https://gerrit.wikimedia.org/r/527132

Change 528220 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/core@master] Add explanatory comment to unexpected line of code

https://gerrit.wikimedia.org/r/528220

Change 528225 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/core@master] Log entries are wrapped with parenthesis - not hardcoded into HTML

https://gerrit.wikimedia.org/r/528225

Jdlrobson added a comment.EditedAug 5 2019, 7:13 PM

During review we noticed that show/hide causes the box to shrink in size but that appears to be intentional (https://phabricator.wikimedia.org/T177206#4271707) so I've added in explanatory comment

Fixed by: https://gerrit.wikimedia.org/r/528220

Also noticed these stray brackets...


.. and log entries being broken
Text here should read " Toby talk contribs uploaded File:Another Screenshot.png"

this is fixed by: https://gerrit.wikimedia.org/r/528225
After:

Change 528201 merged by jenkins-bot:
[mediawiki/core@master] move rcfilters scroll logic to better support mobile mode

https://gerrit.wikimedia.org/r/528201

Change 528220 merged by jenkins-bot:
[mediawiki/core@master] Add explanatory comment to unexpected line of code

https://gerrit.wikimedia.org/r/528220

@Jdrewniak @Jdlrobson noticing on beta, for both iOS (Safari) and Android (Chrome) the filter menu is squishing up if you scroll after it opens initially. This was an issue early on, though I'm pretty sure it was fixed at some point.

iOSAndroid
alexhollender updated the task description. (Show Details)Aug 5 2019, 8:16 PM

Change 528225 merged by jenkins-bot:
[mediawiki/core@master] Improve log entries display in change lists

https://gerrit.wikimedia.org/r/528225

Jdlrobson added a comment.EditedAug 5 2019, 11:31 PM

The following should be now fixed:

  1. Page should not scroll horizontally (note: this may be fixed by reducing the base font-size to 14px, which is item #1 in the "Opportunities for refinement" section below)

When tapping on gray Active filters area (to open filters menu) page should scroll down to reveal filters menu

When tapping Hide the entire filter box should be hidden. Currently the Filter, Namespaces, and Tags buttons are still shown, but are disabled.

Display issues with log entries (https://phabricator.wikimedia.org/T229360#5394174)

Increase the font-size and padding-top for the date headings in the list view

List entries should be left-aligned

Remaining issues (not fixed yet, possibly need bugs):

Save filter and trashcan buttons should be repositioned so that 1) the Active filter area takes up less vertical space, 2) the "No active filters state" (after
pressing the trashcan) looks less weird

Filter menu should match the width of the Filter button

Filter menu resizes on scrolling https://phabricator.wikimedia.org/T229360#5394461

Highlighting works inconsistently between desktop and mobile

Unnecessary commas display between all the edit tags

@alexhollender can you confirm (and that this list covers everything we've found so far?) and I'll cut bugs.

Change 528438 had a related patch set uploaded (by Jdrewniak; owner: Jdrewniak):
[mediawiki/skins/MinervaNeue@master] Recent changes design cleanup - font-size changes

https://gerrit.wikimedia.org/r/528438

@Jdlrobson I didn't realize the work here should be split off into separate tasks, so I attached the last patch to this task instead (it's small though). The patch I submitted above https://gerrit.wikimedia.org/r/528438 addresses refinements 1, 3, 5.

I think the large portions of work that can be split off are are:

  • bug #4 - "Set as default" behaviour
  • refinement #4 - "remove highlight functionality from rcfilters mobile view"
  • "Unnecessary commas between edit tags" - this involves modifying the core html output (like Jon & Volker did with the history page) I think this is a nice to have. Maybe we can get rid of the semicolon separator in the article title while we're at it :P

There are a few that I don't think are worth fixing:

  • the filter menu width matching the input width (improvements #6) - this might be a bug with the OOUI clippable class.
  • "Filter menu resizes on scrolling" - this only happens when you scroll down and the browser chrome hides. The menu then appears slightly smaller then it should, but there is still plenty of space to use that menu.

Change 528438 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Recent changes design cleanup - font-size changes

https://gerrit.wikimedia.org/r/528438

Jdlrobson updated the task description. (Show Details)Aug 6 2019, 2:50 PM
Jdlrobson updated the task description. (Show Details)
alexhollender lowered the priority of this task from High to Normal.

@alexhollender
bugs: 1, 2, 3 & "Display issues with log entries T229360#5394174"
enhancements: 1, 3, 5
are live on beta.

alexhollender renamed this task from [AMC] Recent changes design review to [AMC] Refinements to recent changes.Aug 18 2019, 4:23 PM
alexhollender removed alexhollender as the assignee of this task.
alexhollender updated the task description. (Show Details)
Jony added a subscriber: Jony.Aug 18 2019, 4:35 PM
Jdlrobson moved this task from Incoming to Needs Prioritization on the Readers-Web-Backlog board.
Jdlrobson renamed this task from [AMC] Refinements to recent changes to [EPIC - AMC] Refinements to recent changes.EditedMon, Aug 19, 5:42 PM

Marking epic as this task covers several parts of the feature and we'll probably want to consider each bullet point separately.

Previously the Namespaces and Tags were sitting side-by-side, but currently they are each taking up their own line

Is this a problem? My understanding was this was needed as part of the work in T225499 to make sure the filters didn't spill out the page.

Niedzielski added a subscriber: Niedzielski.

Per discussion: moving to kanbanana (needs analysis). To analyst: please decide whether to keep this as a single task or split it into four. Once the task has been analyzed, it will need an estimate as per usual. We think this is still in scope for AMC.

Jdlrobson renamed this task from [EPIC - AMC] Refinements to recent changes to Refinements to highlighting in recent changes.Thu, Aug 22, 10:52 PM
Jdlrobson removed Jdlrobson as the assignee of this task.
Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)Thu, Aug 22, 10:54 PM
Jdlrobson updated the task description. (Show Details)Thu, Aug 22, 10:57 PM
Jdlrobson renamed this task from Refinements to highlighting in recent changes to [Tracking/Epic] Refinements to highlighting in recent changes.Thu, Aug 22, 11:01 PM
Jdlrobson added a project: Epic.
Jdlrobson renamed this task from [Tracking/Epic] Refinements to highlighting in recent changes to [Tracking/Epic] Problems with RecentChanges advanced mobile contribution experience.Mon, Aug 26, 6:56 PM